Summary:	Graphical DNS query tool
Name:		gresolver
Version:	0.0.5
Release:	7%{?dist}

Group:		Applications/System
License:	GPLv2+ or Artistic
URL:		http://jodrell.net/projects/gresolver

Source: 	http://jodrell.net/files/%{name}/%{name}-%{version}.tar.gz
Source1:	gresolver.desktop
Patch1:		gresolver-0.0.5-makefile.patch

BuildRoot: 	%{_tmppath}/root-%{name}-%{version}-%(%{__id_u} -n)

BuildArch: 	noarch
BuildRequires: 	desktop-file-utils
Requires: 	gtk2 >= 2.6.0, perl >= 5.8.0, bind-utils > 9, perl-gettext

%description
GResolver is a graphical DNS query tool. It allows system administrators
to quickly and easily make the most common DNS queries without constructing 
lengthy 'dig' commands.

%prep
%setup -q
%patch1 -p1
./configure --prefix=%{_prefix}

%build
sed -e 's|@PREFIX@|%{_prefix}|g' <%{name}.pl >%{name}

%install
rm -rf %{buildroot}
make install prefix=%{buildroot}%{_prefix}

rm %{buildroot}%{_datadir}/applications/gresolver.desktop

desktop-file-install --vendor fedora \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc COPYING ChangeLog
%{_bindir}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.0.5-5
- Add forgotten Req. perl-gettext (#504960)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 14 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.0.5-3
- Fix %%file section

* Wed Aug 13 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.0.5-2
- Use 'make install' instead of %%makeinstall
- Correcting Reqs.
- Eliminate the need of perl as BR.
- Remove empty dirs

* Mon Jul  7 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.0.5-1
- Initional Fedora package


